Bug 1394504 - "--no-autodeletion" option for project in copr
Summary: "--no-autodeletion" option for project in copr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-12 18:56 UTC by Michal Pryc
Modified: 2017-01-05 17:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-27 05:18:23 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1373784 0 urgent CLOSED [RFE]: COPR admin and persistent projects 2021-02-22 00:41:40 UTC

Description Michal Pryc 2016-11-12 18:56:29 UTC
This enhancement request is a result of conversation with clime on IRC to introduce "--no-autodeletion" option for project(s) in copr repositories.

This flag would allow to omit automatic removal of packages and at the same time allowing repository to be not-persistent one.

Background:

After resolving bug 1373784, where we wanted to keep multiple versions of the same package (not being deleted automatically), we found out that it is not possible to remove any package.

This is designed behavior for persistent repositories, however we would like to be able to remove some packages from the persistent repository as they are either not relevant anymore or fixed in another repository.

Comment 1 Sorin Sbarnea 2016-11-14 08:58:10 UTC
Having this fixed would be real big deal as it would save us from wasting so many hours fixing builds. One additional build on a locked repository can cause a lot of additional work: unlock, remove (not to mention that if the cleanup job starts to runs while you are in unlocked state you may end-up having to rebuild the entire repository).

Not being able to have manual-deletion without nightly clean-up is clearly a serious problem.

Comment 3 Michal Pryc 2016-11-15 12:56:40 UTC
clime,

That is awesome !

Do we have ETA when this will go live?

Comment 4 clime 2016-11-18 09:06:57 UTC
(In reply to Michal Pryc from comment #3)
> clime,
> 
> That is awesome !
> 
> Do we have ETA when this will go live?

In about two weeks.

Comment 5 Sorin Sbarnea 2016-11-18 09:24:46 UTC
Thank you! This will bring huge benefits in our workflow. I wasted few good days due to this limitation.

Comment 6 David Sariel 2016-11-21 08:20:36 UTC
awesome clime! looking forward to the fix! ::-)

Comment 7 Fedora Update System 2016-12-02 09:22:05 UTC
python-copr-1.75-1.fc23 copr-cli-1.58-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 8 Fedora Update System 2016-12-02 09:22:21 UTC
python-copr-1.75-1.fc25 copr-cli-1.58-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 9 Fedora Update System 2016-12-02 09:22:38 UTC
python-copr-1.75-1.el6 copr-cli-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 10 Fedora Update System 2016-12-02 09:23:18 UTC
python-copr-1.75-1.fc24 copr-cli-1.58-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 11 Fedora Update System 2016-12-02 09:23:34 UTC
python-copr-1.75-1.el7 copr-cli-1.58-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 12 Fedora Update System 2016-12-03 04:29:54 UTC
copr-cli-1.58-1.fc23, python-copr-1.75-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 13 Fedora Update System 2016-12-03 04:37:10 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 14 Fedora Update System 2016-12-03 05:42:19 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 15 Fedora Update System 2016-12-03 11:18:23 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 16 Fedora Update System 2016-12-03 11:19:12 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 17 Fedora Update System 2016-12-27 05:18:23 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-12-27 15:47:53 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-01-04 18:18:22 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-01-04 21:21:41 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-01-05 04:19:40 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-01-05 17:19:05 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.